import { TypeEditor } from "../../TypeEditor.js";
import { make_row_editor } from "../common/makeV3_editor.js";

export class Vector4Editor extends TypeEditor {

    build(parent, field) {
        const v4 = field.adapter.read(parent, field.name);

        return make_row_editor(['x', 'y', 'z', 'w'], v4);
    }
}

